puts ---
set x 1
puts ---
set abc(def) 789
set abc(ghi) 987
set abc(xxx) on
puts ---
puts [expr {$abc(def)}]
puts [expr {[incr abc(def)]}]
puts [expr {"$abc(def)"}]
puts [expr {{$abc(def)}}]
puts [expr {($abc(def))}]
puts [expr {$abc(def)*2}]
puts [expr {$abc(def)/2}]
puts [expr {$abc(def)%100}]
puts [expr {$abc(def)+1}]
puts [expr {$abc(def)-1}]
puts [expr {1?0:($x?0:0)}]
puts [expr {$abc(def)?"T":"F"}]
puts [expr {$abc(def)?$abc(ghi):"F"}]
puts [expr {off?0:($abc(xxx)?1:2)}]

puts [expr -1]
